Bug 53075 - [EDITING] Calc radio button sends text and not number
Summary: [EDITING] Calc radio button sends text and not number
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Cells
  Show dependency treegraph
 
Reported: 2012-08-03 00:24 UTC by Olivier Hallot
Modified: 2019-12-03 14:04 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
File in which the problem occurs (8.56 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-26 19:47 UTC, Sören
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2012-08-03 00:24:12 UTC
Using radio buttons in Calc places a text string in the linked cell, even if it is a number. This breaks Excel compatibility.

Step to reproduce

create a radio button
open properties
in the Data tab, put a cell reference in "linked cell", e.g. B1
put number one ('1') in reference value
quit edit form mode
click in radio button, '1' shows in B1 as text

Problem: This breaks Excel compatibility as Excel places a '1' as number. Formulas bases on content of B1 breaks.
Comment 1 Sören 2012-12-26 19:47:38 UTC
Created attachment 72143 [details]
File in which the problem occurs
Comment 2 Sören 2012-12-26 19:49:58 UTC
I can reproduce the problem in
Version 4.0.0.0.beta2 (Build ID: 4104d660979c57e1160b5135634f732918460a0)
on Ubuntu 12.04 (x86)

See the attached file, the result of the button in B1 is text (although Libre Office is able to interpret it as a number).

I'm not able to check the Excel-compatibility, but being unable to return a number form a form, seems as an error in its own respect.
Comment 3 QA Administrators 2015-04-19 03:23:07 UTC Comment hidden (obsolete)
Comment 4 Olivier Hallot 2015-06-19 11:03:05 UTC
(In reply to Sören from comment #2)
> I can reproduce the problem in
> Version 4.0.0.0.beta2 (Build ID: 4104d660979c57e1160b5135634f732918460a0)
> on Ubuntu 12.04 (x86)
> 
> See the attached file, the result of the button in B1 is text (although
> Libre Office is able to interpret it as a number).
> 
> I'm not able to check the Excel-compatibility, but being unable to return a
> number form a form, seems as an error in its own respect.

LibreOffice is able to interpret as number only in simple situations, but not when the value is used in some functions.

To overcome the issue I have to use another cell where the text land from the button and use =VALUE() function to get a usable numeric value.
Comment 5 QA Administrators 2016-09-20 10:11:27 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:04:40 UTC
Dear Olivier Hallot,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug